!
! 表題   Module for Atmosphere Ice-sheet Climate Model (aicm_1-2-3)
!
! 履歴   2002/01/24  横畠徳太
!        2004/08/10  光田千紘
!
MODULE initialset

  IMPLICIT NONE

!!! 惑星パラメータ

        real, parameter :: &
             & pi                = 3.1416,   & ! 円周率
             & atm2Pa            = 1.013E+5, & ! 1 気圧 [atm/pa]
             & AU2km             = 1.495E+11,& ! 1 AU
             & co2_m             = 44.0E-3,  & ! CO2 分子量
             & h2o_m             = 18.0E-3,  & ! H2O 分子量
             & co2_const         = 192.0,    & ! CO2 気体定数
             & h2o_const         = 462.0,    & ! H2O 気体定数
             & NA                = 6.02E+23, & ! アボガドロ数
             & R_const           = 8.31   ,  & ! 気体定数 [J K-1], 
             & sigma             = 5.67E-8 , & ! S/B 定数 [J m-2 s-1 K-4]
             & h                 = 6.626E-34,& ! プランク定数 [J/s]
             & light_speed       = 2.997E+8, & ! 光速         [m/s]
             & bolztman          = 1.38E-23, & ! Boltzmann 定数 [J K-1]
             & density_co2ice    = 1.565E+3, & ! CO2 氷密度[kg-1 m-3]
             & density_h2oice    = 0.917E+3, & ! H2O 氷密度 [kg-1 m-3]
             & viscosity_co2     = 14.7E-6,  & ! CO2 粘性率 [Pa s] (240 K)
             & conductivity_co2  = 1.45E-2 , & ! CO2 熱伝導率 [W m-1 K-1]
             & co2_latent        = 5.73E+5 , & ! CO2 潜熱 [J/kg]
             & refractive        = 1.          ! 真空の屈折率
             
!!! 惑星パラメータ

        real, parameter :: &
             & radius_sun         = 6.69E+8,   & ! 太陽半径 [km]
!             & Temperature_sun   = 5.378896E+3,  & ! 太陽表面温度 [K](38 億年前)
             & Temperature_sun_p  = 5.78E+3,  & ! 太陽表面温度 [K] (現在)
!             & solar_luminosity  = 0.75,     & ! 過去の太陽光度(現在値との比)
             & orbit_radius_average = 1.52,   & ! 火星軌道半径 [AU]
             & gravity 	           = 3.72,     & ! 火星重力 [m s-2]
             & Gammad	           = 4.43E-3,  & ! 乾燥断熱減率 Cp/g, 
             & specific_heat_vapor = 1.847E+3, & ! J/kg K   T=273K, 
             & specific_heat_water = 4.218E+3, & ! J/kg K    Houghton 3.5
             & specific_regolith   = 0.8E+3,   & ! 地表面(砂)比熱 [J K-1 kg-1]
             & density_regolith    = 1.5E+3,   & ! 地表面(砂)密度 [kg-1 m-3]
             & albedo_regolith     = 0.216,      & ! レゴリスのアルベド(対太陽放射)
             & skin_depth          = 3.0,      & ! 地表面 skin depth [m]
             & solor_const         = 1.38E+3!   & ! 太陽定数 [W m-2]
             
!!! HITRAN 用パラメータ
        real, parameter :: &
             & P0                  = 1.013E+5,   & ! 標準圧力 [Pa]
             & T0                  = 2.96E+2!,   & ! 標準温度 [K]


   !! 惑星軌道要素(離心率)
  REAL, PARAMETER :: &
              & eccentricity = 0
        !& eccentricity = 0.0934     ! 現在の離心率(火星)
        !& eccentricity = 0.0167     ! 現在の離心率(地球)

  !! 惑星軌道要素(自転軸傾斜角 [degree])
!  REAL, PARAMETER :: &
!       & obliquity_degree = 25.19  ! 現在の自転軸傾斜角(火星)
       !& obliquity_degree = 23.44  ! 現在の自転軸傾斜角(地球)
       !& obliquity_degree = 60.0
       !& obliquity_degree = 0.0

!!! 気体種の設定
   INTEGER, PARAMETER :: &
          SpNum = 3 , &
          linenumber(SpNum) = (/62913, 63196 , 251440 /)
!          linenumber(SpNum) = (/1,1/)
   REAL, PARAMETER :: &
          m(SpNum) = (/   44.0E-3, 18.0E-3, 18.0E-3 /), &
          wing(SpNum) = (/ 2.5E+1, 2.5E+1, 2.5E+1/)

   character*50 ::  &
          SPECIE(SpNum) = (/'co2','h2o', 'ch4'/) , &
          filename         

!   character*50, ALLOCATE :: SPECIE(:)
!   ALLOCATE( SPECIE(species_number) ) 
!   SPECIE = (/co2,h2o/)

!!! 計算上のパラメータ
!
	integer, PARAMETER :: n_lambda = 184
!        INTEGER, PARAMETER :: & 
!            &  tropolayer = 10, &
!            &  cloudlayer = 1, &
!            &  mesolayer = 2

!   REAL, PARAMETER :: &
!  &	delta_wavenumber = 1.0,      & ! 波数幅 cm^{-1}
!  &	wavenumbermax    = 3000.0     ! 波数の最大値    


   !! 気体の質量混合率
!  REAL, PARAMETER :: &
!              & co2ratio = 1.0,     & ! CO2 混合率
!              & h2oratio = 0.0        ! h2o 混合率

END MODULE initialset
